package com.sw.mes.yb.mcs.event;

import com.sw.mes.yb.mcs.dto.CrystalTrayBindInfoDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 圆棒托盘绑定接口事件
 * @Author: GaoXinJian
 * @Date: 2022-01-18 16:43
 */
@Getter
public class CrystalTrayBindInfoEvent extends ApplicationEvent {
    CrystalTrayBindInfoDto bindingInfoDto;

    public CrystalTrayBindInfoEvent(Object source, CrystalTrayBindInfoDto bindingInfoDto) {
        super(source);
        if (bindingInfoDto == null) {
            throw new IllegalArgumentException("null bindingInfoDto");
        }
        this.bindingInfoDto = bindingInfoDto;
    }


}
